package main

import (
	"bufio"
	"fmt"
	"os"
	"strconv"
)

func main() {
	input, err := readInput("input")
	if err != nil {
		fmt.Printf("%s", err.Error())
		return
	}

	counter := 0
	sums := make([]int, 0)
	for i := 0; i < len(input)-2; i++ {
		sums = append(sums, (input[i] + input[i+1] + input[i+2]))
	}

	for i := 0; i < len(sums)-1; i++ {
		if sums[i+1] > sums[i] {
			counter++
		}
	}

	fmt.Printf("Number of times increased is: %d", counter)
}

func readInput(filename string) ([]int, error) {
	file, err := os.Open(filename)
	if err != nil {
		return nil, err
	}
	defer file.Close()

	numbers := make([]int, 0)
	scanner := bufio.NewScanner(file)
	for scanner.Scan() {
		number, err := strconv.Atoi(scanner.Text())
		if err != nil {
			return nil, err
		}
		numbers = append(numbers, number)
	}

	return numbers, nil
}
